function addRadioMenuPlane(playerGroup, enemy, parentMenu)
	local planeSpawnMenu = MENU_GROUP:New(playerGroup, "Spawn " .. enemy.name, parentMenu)

	-- Loadout
	for i,loadoutGroup in ipairs(enemy.loadouts) do
		local loadoutName = buildLoadoutName(loadoutGroup)
		local loadoutMenu = MENU_GROUP:New(playerGroup, "Loadout: " .. loadoutName, planeSpawnMenu)

        -- Aspect --
        for i, aspect in ipairs({
            "Offensive",
            "Neutral",
            "Defensive",
            "Passive"
        }) do 

            local aspectMenu = MENU_GROUP:New(playerGroup, aspect, loadoutMenu)

            -- One line serialize the menu path to check for the menu name

            -- Passive Type
            local passiveArray = {}
            if (aspect == "Passive") then
                for j, passiveType in ipairs({"Straight", "Circle"}) do
                    local passiveMenu = MENU_GROUP:New(playerGroup, passiveType, aspectMenu)
                    passiveArray[j]= {passiveType = passiveType, menu = passiveMenu}
                end 
            else
                passiveArray[1] = {menu = aspectMenu}
            end

            -- Skill
            local skillNum = 1
            local skillArray = {}

            if (skillEnabled) then
                for j, passive in ipairs(passiveArray) do
                    for k, skill in ipairs(skillOptions) do -- try catch?
                        local skillMenu = MENU_GROUP:New(playerGroup, skill, passive.menu)

                        local skillO = UTILS.DeepCopy(passive)
                        skillO.skill = skill
                        skillO.menu = skillMenu
                        skillArray[skillNum] = skillO
                        skillNum = skillNum + 1
                    end
                end
            else 
                for j, passive in ipairs(passiveArray) do
                    passive.skill = skillDefault
                    skillArray[j] = passive
                end
            end

            -- Alt
            local altNum = 1
            local altArray = {}

            if (altitudeEnabled) then
                for j,skill in ipairs(skillArray) do
                    for k,alt in ipairs(altitudeOptions) do
                        local altMenu = MENU_GROUP:New(playerGroup, alt, aspectMenu)
                        
                        local altO = UTILS.DeepCopy(skill)
                        altO.alt = alt
                        altO.menu = altMenu
                        altArray[altNum] = altO
                        altNum = altNum + 1
                    end
                end
            else
                for j, skill in ipairs(skillArray) do
                    skill.alt = altitudeDefault
                    altArray[j] = skill
                end
            end

            -- Mach --
            local machNum = 1
            local machArray = {}
            if (machEnabled) then
                for j, alt in ipairs(altArray) do
                    for k,mach in ipairs(machOptions) do
                        local machText = mach
                        if mach == -1 then
                            machText = "Co-Speed"
                        else
                            machText = "Mach " .. tostring(mach)
                        end
                        local atMachMenu = MENU_GROUP:New(playerGroup, machText, alt.menu)
                        
                        local machO = UTILS.DeepCopy(alt)
                        machO.menu = atMachMenu
                        machO.mach = mach
                        machArray[machNum] = alt
                        machNum = machNum + 1
                    end
                end
            else
                for j, alt in ipairs(altArray) do
                    alt.mach = machDefault
                    machArray[j] = alt
                end
            end


            -- Distance --
            local distNum = 1
            local distArray = {}

            if (distanceEnabled) then
                for j, mach in ipairs(machArray) do
                    for k, dist in ipairs(distanceOptions) do
                        local distMenu = MENU_GROUP:New(playerGroup, tostring(dist) .. " NM", mach.menu)
                        
                        local distO = UTILS.DeepCopy(mach)
                        distO.menu = distMenu
                        distO.dist = dist
                        distArray[distNum] = distO
                        distNum = distNum + 1
                    end
                end
            else
                for j, mach in ipairs(machArray) do
                    mach.dist = distanceDefault
                    distArray[j] = mach
                end
            end

            -- Number --
            -- local numArray = {}

            if (numberEnabled) then
                for j,num in ipairs(numberOptions) do
                    for k, dist in ipairs(distArray) do
                        MENU_GROUP_COMMAND:New(playerGroup, num .. " Plane(s)", dist.menu, spawnGroup, 
                            playerGroup, buildGroup(loadoutGroup.GroupName, num, aspect, dist.skill), dist.mach, dist.alt, dist.dist, aspect, dist)
                    end
                end
            else
                for j, dist in ipairs(distArray) do
                    MENU_GROUP_COMMAND:New(playerGroup, num .. " Plane(s)", dist.menu, spawnGroup, 
                            playerGroup, buildGroup(loadoutGroup.GroupName, numberDefault, aspect, dist.skill), dist.mach, dist.alt, dist.dist, aspect, dist)
                end
            end
        end
	end
end

 --- Maybe you can do something with the command arguments?
 --- Might need to store the text of the last menu
 --- 
